opencv 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Classes | Public Types | Public Member Functions | List of all members
cv::Allocator< _Tp > Class Template Reference

`#include <core.hpp>`

## Classes
class | rebind

## Public Types
typedef const value_type * | const_pointer
typedef const value_type & | const_reference
typedef ptrdiff_t | difference_type
typedef value_type * | pointer
typedef value_type & | reference
typedef size_t | size_type
typedef _Tp | value_type

## Public Member Functions
pointer | address (reference r)
const_pointer | address (const_reference r)
pointer | allocate (size_type count, const void *=0)
| Allocator ()
| Allocator (Allocator const &)
template<typename U >
| Allocator (Allocator< U > const &)
void | construct (pointer p, const _Tp &v)
void | deallocate (pointer p, size_type)
void | destroy (pointer p)
size_type | max_size () const
| ~Allocator ()

## Detailed Description

### template<typename _Tp>
class cv::Allocator< _Tp >

The STL-compilant memory Allocator based on cv::fastMalloc() and cv::fastFree()

## Member Typedef Documentation

template<typename _Tp >

typedef const value_type* cv::Allocator< _Tp >::const_pointer

template<typename _Tp >

typedef const value_type& cv::Allocator< _Tp >::const_reference

template<typename _Tp >

typedef ptrdiff_t cv::Allocator< _Tp >::difference_type

template<typename _Tp >

typedef value_type* cv::Allocator< _Tp >::pointer

template<typename _Tp >

typedef value_type& cv::Allocator< _Tp >::reference

template<typename _Tp >

typedef size_t cv::Allocator< _Tp >::size_type

template<typename _Tp >

typedef _Tp cv::Allocator< _Tp >::value_type

## Constructor & Destructor Documentation

template<typename _Tp >

cv::Allocator< _Tp >::Allocator | ( |  | ) |
| inline explicit

template<typename _Tp >

cv::Allocator< _Tp >::~Allocator | ( |  | ) |
| inline

template<typename _Tp >

cv::Allocator< _Tp >::Allocator | ( | Allocator< _Tp > const & |  | ) |
| inline explicit

template<typename _Tp >
template<typename U >

cv::Allocator< _Tp >::Allocator | ( | Allocator< U > const & |  | ) |
| inline explicit

## Member Function Documentation

template<typename _Tp >

pointer cv::Allocator< _Tp >::address | ( | reference | r | ) |
| inline

template<typename _Tp >

const_pointer cv::Allocator< _Tp >::address | ( | const_reference | r | ) |
| inline

template<typename _Tp >

pointer cv::Allocator< _Tp >::allocate | ( | size_type | count,
|  | const void * | = `0`
| ) |  |
| inline

template<typename _Tp >

void cv::Allocator< _Tp >::construct | ( | pointer | p,
|  | const _Tp & | v
| ) |  |
| inline

template<typename _Tp >

void cv::Allocator< _Tp >::deallocate | ( | pointer | p,
|  | size_type |
| ) |  |
| inline

template<typename _Tp >

void cv::Allocator< _Tp >::destroy | ( | pointer | p | ) |
| inline

template<typename _Tp >

size_type cv::Allocator< _Tp >::max_size | ( |  | ) | const
| inline

The documentation for this class was generated from the following file:

- /usr/obj/OpenCV-2.2.0/OpenCV-2.2.0/modules/core/include/opencv2/core/core.hpp